﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace DynamicAxisBinding
{
  public  class Sales:INotifyPropertyChanged
    {
      public Sales(string product,double salevalue,double volume)
      {
          _product = product;
          _salevalue = salevalue;
          _volume = volume;
          _itemvariance = (_volume /_salevalue)*100;
      }
        #region privateFields
      string _product;
      double _salevalue;
      double _volume;
      double _itemvariance;
        #endregion
        #region publicProperties
      public string Product
      {
          get { return _product; }
          set { _product = value; }
      }
      public double SaleValue
      {
          get { return _salevalue; }
          set { _salevalue = value; OnPropertyChanged("SaleValue"); }
      }
      public double Volume
      {
          get { return _volume; }
          set { _volume = value; OnPropertyChanged("Volume"); }
      }
      public double ItemVariance
       {
           get {return _itemvariance; }
      
       }
        #endregion
        #region INotifyPropertyChanged Members

       public event PropertyChangedEventHandler PropertyChanged;
       public void OnPropertyChanged(string property)
       {
           if (PropertyChanged != null)
           {
               PropertyChanged(this, new PropertyChangedEventArgs(property));
           }
       }
       #endregion
    }
}
